Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.jaxp
Class SAXParserImpl

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParser
            |
            +--weblogic.apache.xerces.jaxp.SAXParserImpl

public class SAXParserImpl
extends javax.xml.parsers.SAXParser

The `SAXParser` implementation for the Apache Xerces XML parser.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/06/09 17:03:45 $
Author:
  Pierpaolo Fumagalli (Apache Software Foundation, Exoffice Technologies)
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`protected` | `SAXParserImpl(boolean namespaces, boolean validation)` Create a new `SAXParserFactoryImpl` instance.

Method Summary
`org.xml.sax.Parser` | `getParser()` Returns the underlying `Parser` object which is wrapped by this `SAXParserImpl` implementation.
`boolean` | `isNamespaceAware()` Returns whether or not this parser supports XML namespaces.
`boolean` | `isValidating()` Returns whether or not this parser supports validating XML content.

Methods inherited from class javax.xml.parsers.SAXParser
`parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserImpl

    protected SAXParserImpl(boolean namespaces,
                            boolean validation)
                     throws javax.xml.parsers.ParserConfigurationException

  Create a new `SAXParserFactoryImpl` instance.

Method Detail

### getParser

    public org.xml.sax.Parser getParser()

  Returns the underlying `Parser` object which is wrapped by this `SAXParserImpl` implementation.

  Overrides:
    getParser in class javax.xml.parsers.SAXParser

### isNamespaceAware

    public boolean isNamespaceAware()

  Returns whether or not this parser supports XML namespaces.

  Overrides:
    isNamespaceAware in class javax.xml.parsers.SAXParser

### isValidating

    public boolean isValidating()

  Returns whether or not this parser supports validating XML content.

  Overrides:
    isValidating in class javax.xml.parsers.SAXParser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD